<form action="resultado.php" onsubmit="return validarFormCodigo()" method="GET" name="form_codigo">
    <div class="general_div_busqueda">
        <h2><?php echo $diccionario['x_codigo']; ?></h2>
        <p>&nbsp;</p>
        <input name="codigo_pieza" id="codigo_pieza" type="text" class="combo_buscar">    
        <input id="imageField" name="imageField" class="btn_buscar" type="image" src="imagenes/btn_buscar_chico.png" align="middle" >
        <h6 style="margin:0% 22% 0% 5%"><?php echo $diccionario['codigo_numero_original'];?></h6>
        <h6 style="margin-left:5%"><?php echo $diccionario['codigo_numero_original_oem'];?></h6>
    </div>
</form>
<script type="text/javascript">
    function validarFormCodigo() {
        var x = document.forms["form_codigo"]["codigo_pieza"].value;
		if (x == null || x == ""){
		  	alert('<?php echo $diccionario['codigo_no_puede_vacio']; ?>');
			
			return false;
		}
		document.getElementById('loading').style.visibility = 'visible';
    }
</script>

<script>
  $(function() {
	var availableTags = new Array();
	<?php
	
		if (isset($_SESSION['arreglooems'])){
			$arreglo_php = $_SESSION['arreglooems'];
		}
		else{
			$arreglo_php = array();
			$sql = "SELECT codigo FROM piezacodigo ORDER BY codigo";
			$resCodigos = mysqli_query($catalogo, $sql) or die(mysqli_error());
			if(mysqli_num_rows($resCodigos)>0){
				while($codi = mysqli_fetch_array($resCodigos)){
					array_push($arreglo_php, $codi["codigo"]);
				}
			}
			$sql = "SELECT OEMS FROM vehiculo WHERE oems <> ''";
			$resOems = mysqli_query($catalogo, $sql) or die(mysqli_error());
			if(mysqli_num_rows($resOems)>0){
				while($oems = mysqli_fetch_array($resOems)){
					$oemSinSeparar = $oems["OEMS"];
					if ($oemSinSeparar != ""){
						$oemSeparados = explode(";", $oemSinSeparar);
						for ($i = 0; $i < count($oemSeparados); $i++){
							if (!in_array($oemSeparados[$i], $arreglo_php)) {
								array_push($arreglo_php, $oemSeparados[$i]);
							}
						}
					}
				}
			}
			$_SESSION['arreglooems'] = $arreglo_php;
  		}
		
     	for($p = 0;$p < count($arreglo_php); $p++){?>
       		availableTags.push('<?php echo $arreglo_php[$p]; ?>');
    	
		<?php 
		} ?>
    $( "#codigo_pieza" ).autocomplete({
      source: function(request, response) {
        		var results = $.ui.autocomplete.filter(availableTags, request.term);
	        response(results.slice(0, 15));
    	}
	  
    });
  });
</script>